%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Johann Christoph Bach:
% Sei getreu bis in den Tod
%
% Version: 1.0
% Music engraving: (c) 2007 Alexander Kobel
%
% This work is licensed under the
% GNU General Public License, version 3.0.
% For details see http://www.gnu.org/licenses/gpl.html
% or the enclosed file.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This is my very first piece of music set in LilyPond.
% There may and will be better ways to write sheets, so please don't take
% this as a reference for starting LilyPond use.
% Further, I've been in a bit of a hurry and quickly hacked stuff to tweak
% the layout of the first two pages. (\vSpace... and \bigVSpace in
% sei_getreu_vocal.ly, that is.)
% This is not nice. Don't do it. Never ever.
% Find some better way or take the time to install LilyPond 2.11. or
% higher, which
%   a) merely destroys the look of the 2.10.5 output
%   b) supports vertical stretching out of the box, which gives similar
%      (or better) results with much cleaner code.
%
%
% Have fun.
%
% Alexander
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


\version "2.10.5"

#(ly:set-option 'point-and-click #f)

\paper {
%	annotate-spacing = ##t

	paper-size = "a4"
	line-width = 180\mm
	head-separation = 0\mm
	foot-separation = 2\mm
	bottom-margin = 6\mm

% Center page numbers (odd pages on left hand may be useful to avoid page turns during the aria).
	oddHeaderMarkup = \markup { \fill-line { \on-the-fly #print-page-number-check-first \fromproperty #'page:page-number-string } }
	evenHeaderMarkup = \markup { \fill-line { \on-the-fly #print-page-number-check-first \fromproperty #'page:page-number-string } }

	between-system-padding = #0.1
	between-system-space = #0.1

	ragged-bottom = ##f
	ragged-last-bottom = ##f

% Define a condensed font as sans, which is used for lyrics.
% This one (from the "ITC Garamond" family) is shipped with several versions of CorelDRAW.
	#(define fonts (make-pango-font-tree
		"GarmdITC Bk BT"
		"GarmdITC BkCn BT"
		"Luxi Mono"
		(/ 20 20)
	))
}

\header{
	title = "Sei getreu bis in den Tod"
	subtitle = "Motette für fünfstimmigen Chor (SSATB) und basso continuo ad lib."
	composer = "Johann Christoph Bach (1642 – 1703)"
	poet = \markup { \italic "Offenbarung 2,10" }
	enteredby = "Alexander Kobel"

	tagline = ##f
	copyright = \markup { \small \with-url #"http://www.lilypond.org/" #(ly:export (string-append "Notensatz: LilyPond " (lilypond-version))) }
}

setStaffInstrumentNames = #(define-music-function (parser location full short) (string? string?) #{
	\set Staff.instrumentName = \markup { \italic \hcenter-in #8 $full }
%	\set Staff.shortInstrumentName = \markup { \italic \hcenter-in #4 $short }
#})
setPianoStaffInstrumentNames = #(define-music-function (parser location) () #{
	\set PianoStaff.instrumentName = \markup { \italic \hcenter-in #8 \center-align { \line { organo } \line { ad lib. } } }
%	\set PianoStaff.shortInstrumentName = \markup { \italic \hcenter-in #4 #"org." }
#})

keyAndTime = {
	\key a \major
	\time 4/4
}

breaksAndBars = {
	\override Score.NonMusicalPaperColumn #'line-break-permission = ##f
	\override Score.NonMusicalPaperColumn #'page-break-permission = ##f

	s1*5 \break \noPageBreak
	s1*6 \pageBreak
	s1*4 \break \noPageBreak
	s1*5 \pageBreak
%{
	\repeat unfold 5 {
		s1*4 \break
	}
%}
	\bar "||"

	% Aria
	s1*3 \break \noPageBreak
	s1*3 \pageBreak
	s1*3 \break \noPageBreak
	s1*3
	\bar "||"
}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% include notes and lyrics
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "sei_getreu_vocal.ly"
\include "sei_getreu_continuo.ly"

cantoIIncipit = \relative c'' {
	\clef soprano
	\keyAndTime
	\cadenzaOn
	cis4
	\cadenzaOff
}
cantoIIIncipit = \relative c'' {
	\clef soprano
	\keyAndTime
	\cadenzaOn
	a4
	\cadenzaOff
}
altoIncipit = \relative c' {
	\clef alto
	\keyAndTime
	\cadenzaOn
	e
	\cadenzaOff
}
tenoreIncipit = \relative c' {
	\clef tenor
	\keyAndTime
	\cadenzaOn
	cis4
	\cadenzaOff
}
bassoIncipit = \relative c {
	\clef bass
	\keyAndTime
	\cadenzaOn
	a
	\cadenzaOff
}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% SCORE
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\score {
	<<
		\new ChoirStaff = "vocal" <<
			\new Staff = "cantoI" {
				\setStaffInstrumentNames #"Canto I" #"C. I"
				<<
					{
						\once \override Score.RehearsalMark #'padding = #2.0
						\once \override Score.RehearsalMark #'font-size = #0
						\mark "Motetta"
%						\cantoIIncipit
						\new Voice = "cantoI" {
							\clef treble
							\keyAndTime
							\cantoI
						}
						\once \override Score.RehearsalMark #'padding = #2.0
						\once \override Score.RehearsalMark #'font-size = #0
						\mark "Aria"
						\new Voice = "cantoIAria" {
							\cantoIAria
						}
					}
					\new Voice \breaksAndBars
				>>
			}
			\new Lyrics \lyricsto cantoI \cantiLyr
			\new Lyrics \lyricsto cantoIAria \cantoIAriaLyrI
			\new Lyrics \lyricsto cantoIAria \cantoIAriaLyrII
			\new Lyrics \lyricsto cantoIAria \cantoIAriaLyrIII
			\new Lyrics \lyricsto cantoIAria \cantoIAriaLyrIV

			\new Staff = "cantoII" {
				\setStaffInstrumentNames #"Canto II" #"C. II"
				<<
					{
%						\cantoIIIncipit
						\new Voice = "cantoII" {
							\clef treble
							\keyAndTime
							\cantoII
						}
						\new Voice = "cantoIIAria" {
							\cantoIIAria
						}
					}
					\new Voice \breaksAndBars
				>>
			}
			\new Lyrics \lyricsto cantoII \cantiLyr
			\new Lyrics \lyricsto cantoIIAria \AriaLyrI
			\new Lyrics \lyricsto cantoIIAria \AriaLyrII
			\new Lyrics \lyricsto cantoIIAria \AriaLyrIII
			\new Lyrics \lyricsto cantoIIAria \AriaLyrIV

			\new Staff = "alto" {
				\setStaffInstrumentNames #"Alto" #"A."
				<<
					{
%						\altoIncipit
						\new Voice = "alto" {
							\clef treble
							\keyAndTime
							\alto
						}
						\new Voice = "altoAria" {
							\altoAria
						}
					}
					\new Voice \breaksAndBars
				>>
			}
			\new Lyrics \lyricsto alto \altoLyr
%			\new Lyrics \lyricsto altoAria \AriaLyrI
%			\new Lyrics \lyricsto altoAria \AriaLyrII
%			\new Lyrics \lyricsto altoAria \AriaLyrIII
%			\new Lyrics \lyricsto altoAria \AriaLyrIV

			\new Staff = "tenore" {
				\setStaffInstrumentNames #"Tenore" #"T."
				<<
					{
%						\tenoreIncipit
						\new Voice = "tenore" {
							\clef "treble_8"
							\keyAndTime
							\tenore
						}
						\new Voice = "tenoreAria" {
							\tenoreAria
						}
					}
					\new Voice \breaksAndBars
				>>
			}
			\new Lyrics \lyricsto tenore \tenoreLyr
			\new Lyrics \lyricsto tenoreAria \AriaLyrI
			\new Lyrics \lyricsto tenoreAria \AriaLyrII
			\new Lyrics \lyricsto tenoreAria \AriaLyrIII
			\new Lyrics \lyricsto tenoreAria \AriaLyrIV

			\new Staff = "basso" {
				\setStaffInstrumentNames #"Basso" #"B."
				<<
					{
%						\bassoIncipit
						\new Voice = "basso" {
							\clef bass
							\keyAndTime
							\basso
						}
						\new Voice = "bassoAria" {
							\bassoAria
						}
					}
					\new Voice \breaksAndBars
				>>
			}
			\new Lyrics \lyricsto basso \bassoLyr
%			\new Lyrics \lyricsto bassoAria \AriaLyrI
%			\new Lyrics \lyricsto bassoAria \AriaLyrII
%			\new Lyrics \lyricsto bassoAria \AriaLyrIII
%			\new Lyrics \lyricsto bassoAria \AriaLyrIV
		>> % end of ChoirStaff

		\new PianoStaff = "continuo" \with {
			fontSize = #-5
			\override StaffSymbol #'staff-space = #(magstep -5)
		} <<
			\setPianoStaffInstrumentNames
			\new Staff = "continuoUpper" \with { \remove Ambitus_engraver } <<
				\clef treble
				\keyAndTime
			>>
			\new Dynamics {
				\dynamics
				\dynamicsAria
			}
			\new Staff = "continuoLower" \with { \remove Ambitus_engraver } <<
				\clef bass
				\keyAndTime
				\new Voice = "bc" {
					\bc
					\bcAria
				}
%				\new FiguredBass = "bcFig" {
%					\set Staff.useBassFigureExtenders = ##t
%					\bcFig
%					\bcAriaFig
%				}
				\new Voice \breaksAndBars
			>>

			\context Staff = continuoUpper <<
				\new Voice = "continuoUpper" {
					\continuoUpper
					\continuoUpperAria
				}
				\new Voice = "continuoUpperSharedRests" {
					\continuoUpperSharedRests
					\continuoUpperAriaSharedRests
				}
			>>
			\context Voice = bc {
				\set Staff.useBassFigureExtenders = ##t
				\bcFig
				\bcAriaFig
			}
		>> % end of PianoStaff
	>>

	\layout {
		\context {
			\RemoveEmptyStaffContext
		}
		\context {
			\Lyrics
			\override LyricText #'font-family = #'sans
			\override LyricText #'font-size = #+2.7
%			\override LyricText #'self-alignment-X = #-0.4
%			\override LyricText #'X-extent = #'(-0.2 . 0)
			\override VerticalAxisGroup #'minimum-Y-extent = #'(-0.5 . 0.5)
		}
		\context {
			\Score
			fontSize = #-3
			\override StaffSymbol #'staff-space = #(magstep -3)
			\override BarNumber #'font-size = #-0.3
			\override BarNumber #'Y-offset = #0.5
			\override SpacingSpanner #'spacing-increment = #1.0
%			\override BarLine #'minimum-X-extent = #'(-0.5 . 0)
			\override StanzaNumber #'font-name = #"GarmdITC BkCn BT"
			\override StanzaNumber #'font-size = #+1.7
		}
		\context {
			\Staff
			\override BassFigureAlignment #'stacking-dir = #DOWN
			\override BassFigureAlignmentPositioning #'direction = #DOWN
			\override VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)
%			\override NoteSpacing #'stem-spacing-correction = #0.6
			\override InstrumentName #'font-size = #0

			\consists Ambitus_engraver
		}
		\context {
			\ChoirStaff
		}
		\context {
			\PianoStaff
			\accepts Dynamics
			\override InstrumentName #'font-size = #-2
			\override VerticalAlignment #'forced-distance = #3.5
		}
		\context {
			\Voice
			printPartCombineTexts = ##f
		}

		\context {
			\type "Engraver_group"
			\name Dynamics
			\alias Voice % So that \cresc works, for example.
			\consists "Output_property_engraver"

%			\override VerticalAxisGroup #'minimum-Y-extent = #'(-1 . 1)
			\override VerticalAxisGroup #'minimum-Y-extent = #'(0 . 0)
			pedalSustainStrings = #'("Ped." "*Ped." "*")
			pedalUnaCordaStrings = #'("una corda" "" "tre corde")

			\consists "Piano_pedal_engraver"
			\consists "Script_engraver"
			\consists "Dynamic_engraver"
			\consists "Text_engraver"

			\override TextScript #'font-size = #-5
			\override TextScript #'font-shape = #'italic
			\override DynamicText #'font-size = #-5
			\override DynamicText #'extra-offset = #'(0 . 1.8)
			\override Hairpin #'extra-offset = #'(0 . 1.8)

			\consists "Skip_event_swallow_translator"

			\consists "Axis_group_engraver"
		}
	}

%{
	\midi {
		\context {
			\PianoStaff
			\accepts Dynamics
			\consists "Dynamic_performer"
		}
		\context {
			\Voice
			\consists "Dynamic_performer"
		}
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 96 4)
		}
	}
%}
}
