%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Johann Christoph Bach:
% Sei getreu bis in den Tod
%
% Version: 1.0
% Music engraving: (c) 2007 Alexander Kobel
%
% This work is licensed under the
% GNU General Public License, version 3.0.
% For details see http://www.gnu.org/licenses/gpl.html
% or the enclosed file.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Notes
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% bc		bcAria		bcFig		bcAriaFig
% continuoUpper			continuoUpperSharedRests
% continuoUpperAria		continuoUpperAriaSharedRests
% dynamics			dynamicsAria
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


moveDynX = #(define-music-function (parser location offsetX) (number?) #{
	\once \override DynamicText #'X-offset = $offsetX
#})


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% CHORUS
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

bc = \relative c {
	\barNumberCheck #1
	a4 e' a, r |
	cis8 b16 a gis8 fis16 e a4 r |
	a e' e r |
	e b e r |
	a e fis cis |
	\stemDown d4. d8 cis4 r8 cis |
	d4. d8 cis4 r \stemNeutral |
	fis e a, r8 cis |
	b4. b8 a4 r8 cis |
	b4. b8 a4 r |
	r r8 e' a4 e8 e |
	a,4 r8 a a'4 r8 e |
	a,4 r8 a16 b cis8 a e'4 |
	a, r8 a d4 r8 d |
	d4 r8 d fis[ d] a'[ a,] |
	d4 r r r8 e |
	a4 gis8 e a4 r8 e |
	a a, e'4 a, r |
	a e' a, r |
	cis8 b16 a e'8 e, a4 r |
}
bcFig = \figuremode {
	\barNumberCheck #1
	s1 |
	<6 4>8 <6 4>16 <6 4> <6\!>8 <6>16 <6> s2 |
	s1 |
	s4 <_+> s2 |
	s s4 <6 _+>8 <5 _+>16 s |
	<7>4. <6>8 <_+>4 s8 <_+> |
	<7>4. <6>8 <_+>4 s |
	s2 s4 s8 <6> |
	<7>4. <6>8 s4 s8 <6> |
	<7>4. <6>8 s2 |
	s1 |
	s1 |
	s2 <6>4 s4 |
	s1 |
	s2 <6>4 <4>8. <3>16 |
	s2 s4 s8 <7> |
	s4 <6>4 s s8 <6 4> |
	s1 |
	s1 |
	<6 4>8 <6 4>16 <6 4> s4 s2 |
}
continuoI = \relative c'' {
	\barNumberCheck #1
	\voiceOne
	cis4 b cis s |
	cis b cis s |
	a b b s |
	e dis e s |
	cis b a4. gis8 |
	fis4. fis8 eis4 s8 eis |
	fis4. fis8 eis4 s |
	a b cis s8 a |
	a4. gis8 a4 s8 a |
	a4. gis8 a4 s8 b |
	cis4 b8 b a4 b8 b |
	cis4 s8 cis cis4 b |
	cis s8 a a4 gis |
	a s8 a fis4 s8 fis |
	fis4 s8 a d4 \stemUp d8. cis16 |
	d4 s8 b e4 d |
	cis b cis s8 cis |
	cis4 b a s |
	cis b cis s |
	cis b a s |
}
continuoII = \relative c'' {
	\barNumberCheck #1
	\voiceOne
	a4 gis a s |
	a e a s |
	e gis gis s |
	b b b s |

%	a gis fis \stemDown eis \stemUp |
%	cis4. b8 cis4 s8 cis |
	a gis s \stemDown s \stemUp |
	cis,4. b8 cis4 s8 cis |

	cis4. b8 cis4 s |
	fis gis a s8 a |
	a4. gis8 e4 s8 a8 |
	a4. gis8 e4 s8 gis |
	a4 gis8 gis e4 gis8 gis |
	a4 s8 a a4 b |
	a s8 a e4 e |
	e s8 e d4 s8 d |
%	d4 s8 a' a4 a |
	d4 s8 a' a4 s |
	a s8 gis cis4 b |
	a e a s8 a |
	a4 gis e s |
	a gis a s |
	a gis e s |
}
continuoIII = \relative c' {
	\barNumberCheck #1
	\voiceTwo
	e4 e e s |
	e e8 gis e4 s |
	e e e s |
	gis fis gis s |
%	e e cis cis |
	e e <<fis cis>> <<eis cis>> |
	\change Staff = continuoLower \stemUp
	fis,4. fis8 gis4 s8 gis |
	fis4. fis8 gis4 s |
	\change Staff = continuoUpper \stemDown
	cis e! e s8 e |
	d4. d8 cis4 s8 e |
	d4. d8 cis4 s8 r |
	r4 r8 e cis4 e8 e |
	e4 s8 e e4 gis8 e |
	e4 s8 cis16 d e8 cis b4 |
	cis s8 cis a4 s8 a |
%	a4 s8 fis' d fis e4 |
	a4 s8 fis' d fis <<a4 e>> |
	fis s8 r r4 r8 <<gis e>> |
	e4 e8 gis e4 s8 e |
	e4 e cis s |
	e e e s |
	e e cis s |
}
continuoUpperSharedRests = \relative c'' {
	\barNumberCheck #1
	\oneVoice
	s2. r4 |
	s2. r4 |
	s2. r4 |
	s2. r4 |
	s1 |
	s2. r8 s |
	s2. r4 |
	s2. r8 s |
	s2. r8 s |
	s2. r8 s |
	s1 |
	s4 r8 s s2 |
	s4 r8 s s2 |
	s4 r8 s s4 r8 s |
	s4 r8 s s2 |
	s4 r8 s s2 |
	s2. r8 s |
	s2. r4 |
	s2. r4 |
	s2. r4 |
}
continuoUpper = <<
	\partcombine << \continuoI >> << \continuoII >>
	\continuoIII
>>

dynamics = {
	\barNumberCheck #1
	s1*5 |
	s2. s8 \moveDynX #-1.5 s\p |
	s1 |
	\moveDynX #0.7 s4\f s2. |
	s2. s8 \moveDynX #-1.5 s\p |
	s2. s8 \moveDynX #-1.5 s\f |
	s1*10 |
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% ARIA
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

bcAria = \relative c {
	\barNumberCheck #21
	a'4 e a, r |
	r2 r4 a'8 gis |
	a4 cis,8 b a[ d] e[ e,] |
	a4 e'8 e, a4 r |
	a e fis fis |
	cis' eis fis8 fis, cis'4 |
	fis, dis' e! d |
	cis b a2 |
	a'4 e a, r |
	r2 r4 a'8 gis |
	a4 cis,8 b a[ d] e[ e,] |
	a4 e'8 e, a2\fermata |
}
bcAriaFig = \figuremode {
	\barNumberCheck #21
	s1 |
	s2 s4 s8 <6> |
	s4 <6>8 <6\!>8 s4 <6 4>8 <5 3> |
	s4 <6 4>8 <5 3> s2 |
	s4 <6> s2 |
	<_+>4 <6> s <_+> |
	s <6> <6\!> <5 3>16 s <4 3>8 |
	<6>4 <6\! 4>8 <5 3>16 <6 4> s2 |
	s1 |
	s2 s4 s8 <6> |
	s4 <6>8 <6\!> s4 <6 4>8 <5 3> |
	s4 <6 4>8 <5 3> s2 |
}
continuoIAria = \relative c'' {
	\barNumberCheck #21
	\voiceOne
	a4 b cis s |
	s2 s4 a8. b16 |
	cis4 a8 b cis[ d] cis[ b16 a] |
	a4 cis8 b16 a a4 s |
	\stemUp cis4. b8 \stemNeutral a4 a |
	gis cis8 b a8. gis16 gis8. fis16 |
	fis4 b8 a gis[ e] fis[ gis] |
	a4 b8 a16 b \stemUp cis2 \stemNeutral |
	a4 b \stemUp cis \stemNeutral s |
	s2 s4 a8 b |
	cis4 a8 b cis[ d] cis[ b16 a] |
	a4 cis8 b16 a a2\fermata |
}
continuoIIAria = \relative c' {
	\barNumberCheck #21
	\voiceOne
	e4 gis a s |
%	s2 s4 e8 e |
	s2 s4 s8 s |
	a4 a8 gis a[ a] a[ gis16 a] |
	e4 a8 gis16 a e4 s |
%	a gis fis fis |
	s s fis fis |
%	eis gis fis eis |
	eis s s s |
%	cis fis e!8 e fis fis |
	cis s e!8[ e] fis[ fis] |
	a4 gis8 fis16 gis a2 |
	e4 gis a s |
	s2 s4 a8 e |
%	a4 a8 gis a[ a] a[ gis] |
	a4 a8 gis a[ a] s s |
%	e4 a8 gis e2 |
	e4 s8 s e2 |
}
continuoIIIAria = \relative c' {
	\barNumberCheck #21
	\voiceTwo
	cis4 e e s |
%	s2 s4 cis8 b |
	s2 s4 <<e8 cis>> <<e b>> |
	e4 e8 d e[ fis] e[ e] |
	cis4 e8 e cis4 s |
%	e cis cis cis |
	<<a' e>> <<gis cis,>> cis cis |
%	cis cis cis cis |
	cis <<gis' cis,>> <<fis cis>> <<eis cis>> |
%	a b b8 gis a b |
	a <<fis' b,>> b8[ gis] a[ b] |
	e4 d e2 |
	cis4 e e s |
	s2 s4 e8 e |
%	e4 e8 d e[ fis] e[ e] |
	e4 e8 d e[ fis] <<a e>> <<gis e>> |
%	cis4 e8 e cis2 |
	cis4 <<a'8 e>> <<gis e>> cis2 |
}
continuoUpperAriaSharedRests = \relative c'' {
	\barNumberCheck #21
	\oneVoice
	s2. r4 |
	r2 r4 s |
	s1 |
	s2. r4 |
	s1 |
	s1 |
	s1 |
	s1 |
	s2. r4 |
	r2 r4 s4 |
	s1 |
	s1 |
}
continuoUpperAria = <<
	\partcombine << \continuoIAria >> << \continuoIIAria >>
	\continuoIIIAria
>>

dynamicsAria = {
	\barNumberCheck #21
	s1*3 |
	s4 \moveDynX #-1.5 s8\p s s2 |
	\moveDynX #0.7 s4\f s2. |
	s1*6 |
	s4 \moveDynX #-1.5 s8\p s s2 |
}
